# 대화방 메뉴 클릭 통계

## Request

## 고객반응 통계 - 대화방 메뉴 클릭 통계를 조회합니다.<br>

> 고객반응 통계 - 대화방 메뉴 클릭 통계를 조회합니다.\
> \
> &#x20; \- 대화방별 1건 이상 사용자선택이 일어난 경우에 대해 집계됩니다.  \
> &#x20; \- 통계 조회 기간은 데이터 존재 시 최근 1년 6개월 이내 기간 중 최대 31일까지 검색 가능합니다.\
> \
> &#x20; \+ \*\*계정 권한: 마스터, 매니저, 대행사\*\*  \
> &#x20; \+ \*\*브랜드 권한: 브랜드 대표운영자, 운영자\*\* <br>

```json
{"openapi":"3.0.0","info":{"title":"RCS Biz Center API 규격","version":"1.1.15"},"servers":[{"description":"RCS Biz Center API for Staging","url":"https://api-qa.rcsbizcenter.com/api/1.1"},{"description":"RCS Biz Center API for Production","url":"https://api.rcsbizcenter.com/api/1.1"}],"security":[{"jwtAuth":[]}],"components":{"securitySchemes":{"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"인증방식은 JWT인증을 사용합니다. 토큰의 갱신은 없으며 토큰 만료 시 항상 재발급 받아야 합니다.\n"}},"parameters":{"BrandKey":{"name":"X-RCS-Brandkey","in":"header","schema":{"type":"string","maxLength":18},"description":"maxLength: 18 - RCS Biz Center에서 브랜드 등록 시 자동 생성되는 Key 입니다.  \n\n대행사가 해당 브랜드에 대한 권한 여부를 판단하는데 사용됩니다.\n따라서, 대행사 계정으로 브랜드 내 정보를 조회/등록/수정 API 연동 시 Header에 설정되어야 합니다.\n"},"BrandId":{"name":"brandId","in":"path","schema":{"type":"string","maxLength":13},"required":true,"description":"maxLength: 13 - 브랜드 내 정보 접근시 사용되는 브랜드ID Path Parameter 입니다.\n"},"StartDate":{"name":"startDate","in":"query","schema":{"type":"string"},"description":"통계 조회 기간 시작일자(yyyymmdd) 입니다.","required":true},"EndDate":{"name":"endDate","in":"query","schema":{"type":"string"},"description":"통계 조회 기간 종료일자(yyyymmdd) 입니다.","required":true},"ChatbotIdQueryReuired":{"name":"chatbotId","in":"query","description":"대화방ID Query Parameter 입니다.\n","schema":{"type":"string"},"required":true}}},"paths":{"/statQuery/persistentMenu/{brandId}":{"get":{"summary":"고객반응 통계 - 대화방 메뉴 클릭 통계를 조회합니다.\n","description":"고객반응 통계 - 대화방 메뉴 클릭 통계를 조회합니다.\n\n  - 대화방별 1건 이상 사용자선택이 일어난 경우에 대해 집계됩니다.  \n  - 통계 조회 기간은 데이터 존재 시 최근 1년 6개월 이내 기간 중 최대 31일까지 검색 가능합니다.\n\n  + **계정 권한: 마스터, 매니저, 대행사**  \n  + **브랜드 권한: 브랜드 대표운영자, 운영자** \n","parameters":[{"$ref":"#/components/parameters/BrandKey"},{"$ref":"#/components/parameters/BrandId"},{"$ref":"#/components/parameters/StartDate"},{"$ref":"#/components/parameters/EndDate"},{"$ref":"#/components/parameters/ChatbotIdQueryReuired"}],"responses":{"200":{"description":"페이지 내 Response 섹션 참조"}}}}}}
```

## Response

<table data-full-width="true"><thead><tr><th width="147">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="117">기본값</th><th>설명</th></tr></thead><tbody><tr><td><a href="#result-array-less-than-object-greater-than"><mark style="color:blue;"><strong><code>result</code></strong></mark></a></td><td>array&#x3C;object></td><td align="center"></td><td align="center">O</td><td></td><td>대화방메뉴 통계 Data</td></tr><tr><td><strong><code>code</code></strong></td><td>string</td><td align="center">5</td><td align="center">O</td><td>20000000</td><td></td></tr><tr><td><strong><code>status</code></strong></td><td>integer</td><td align="center">3</td><td align="center">O</td><td>200</td><td></td></tr><tr><td><strong><code>desc</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td></td></tr></tbody></table>

### <mark style="color:blue;">result</mark> - array\<object>

<table data-full-width="true"><thead><tr><th width="147">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="117">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>statDate</code></strong></td><td>string</td><td align="center">8</td><td align="center"></td><td></td><td>통계일자</td></tr><tr><td><strong><code>corpId</code></strong></td><td>string</td><td align="center">13</td><td align="center"></td><td></td><td>RCS Biz Center에 등록된 기업ID</td></tr><tr><td><strong><code>corpRegNum</code></strong></td><td>string</td><td align="center">10</td><td align="center"></td><td></td><td>기업사업자 등록 번호</td></tr><tr><td><strong><code>brandId</code></strong></td><td>string</td><td align="center">13</td><td align="center"></td><td></td><td>브랜드 ID</td></tr><tr><td><strong><code>chatbotId</code></strong></td><td>string</td><td align="center">15</td><td align="center"></td><td></td><td>대화방 ID</td></tr><tr><td><a href="#menulist-array-less-than-object-greater-than"><mark style="color:blue;"><strong><code>menuList</code></strong></mark></a></td><td>array&#x3C;object></td><td align="center"></td><td align="center"></td><td></td><td>대화방메뉴 별 상세 Data</td></tr></tbody></table>

### <mark style="color:blue;">menuList</mark> - array\<object>

<table data-full-width="true"><thead><tr><th width="167">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="117">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>postbackId</code></strong></td><td>string</td><td align="center">40</td><td align="center">O</td><td></td><td>메뉴에 할당된 postbackId</td></tr><tr><td><strong><code>menuType</code></strong></td><td>string</td><td align="center">40</td><td align="center">O</td><td></td><td><p>메뉴 할당된 액션 구분</p><ul><li>action: RCS 액션 버튼(urlAction, mapAction, ...) 메뉴</li><li>reply: 기본응답 메뉴</li><li>autoreply: 자동응답 메뉴</li><li>menu: 하위 메뉴를 갖는 상위 메뉴</li></ul></td></tr><tr><td><strong><code>actionType</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td><p>menuType이 action인 경우, 할당된 RCS 액션 유형 이미지 영역에 동영상 스트리밍을 설정한 경우 iframeplayB로 별도 구분</p><p></p><p>(현재 자동응답메시지는 iframepalyB 설정 미지원)</p></td></tr><tr><td><strong><code>title</code></strong></td><td>string</td><td align="center">40</td><td align="center">O</td><td></td><td>버튼명, 이미지는 image_1, image_2, ..., image_# 형식으로 제공되며, 동영상 스트리밍의 경우는 iframeplayB_1, iframeplayB_2, ..., iframeplayB_# 형식으로 제공</td></tr><tr><td><strong><code>clickCount</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>menuType이 action, reply, autoreply 인 경우 클릭수 (1일 내 동일 고객의 버튼 클릭 수 제외)</td></tr><tr><td><a href="#sublist-array-less-than-object-greater-than"><mark style="color:blue;"><strong><code>subList</code></strong></mark></a></td><td>array&#x3C;object></td><td align="center"></td><td align="center"></td><td></td><td>하위 메뉴 또는 자동응답메시지 상의 버튼 상세 Data</td></tr></tbody></table>

### <mark style="color:blue;">subList</mark> - array\<object>

<table data-full-width="true"><thead><tr><th width="168">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="117">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>postbackId</code></strong></td><td>string</td><td align="center">40</td><td align="center">O</td><td></td><td>메뉴에 할당된 postbackId</td></tr><tr><td><strong><code>menuType</code></strong></td><td>string</td><td align="center">40</td><td align="center">O</td><td></td><td><p>메뉴 할당된 액션 구분</p><ul><li>action: RCS 액션 버튼(urlAction, mapAction, ...) 메뉴</li><li>reply: 기본응답 메뉴</li><li>autoreply: 자동응답 메뉴</li><li>menu: 하위 메뉴를 갖는 상위 메뉴</li></ul></td></tr><tr><td><strong><code>actionType</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td><p>menuType이 action인 경우 할당된 RCS 액션 유형 이미지 영역에 동영상 스트리밍을 설정한 경우 iframeplayB로 별도 구분</p><p></p><p>(현재 자동응답메시지는 iframepalyB 설정 미지원)</p></td></tr><tr><td><strong><code>title</code></strong></td><td>string</td><td align="center">40</td><td align="center">O</td><td></td><td>버튼명, 이미지는 image_1, image_2, ..., image_# 형식으로 제공되며, 동영상 스트리밍의 경우는 iframeplayB_1, iframeplayB_2, ..., iframeplayB_# 형식으로 제공</td></tr><tr><td><strong><code>clickCount</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>menuType이 action, reply, autoreply 인 경우 클릭수 (1일 내 동일 고객의 버튼 클릭 수 제외)</td></tr><tr><td><a href="#subactionlist-array-less-than-object-greater-than"><mark style="color:blue;"><strong><code>subActionList</code></strong></mark></a></td><td>array&#x3C;object></td><td align="center"></td><td align="center"></td><td></td><td>menuType이 autoReply인 경우 자동응답메시지 상의 상세 버튼 Data</td></tr></tbody></table>

### <mark style="color:blue;">subActionList</mark> - array\<object>

<table data-full-width="true"><thead><tr><th width="168">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="117">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>postbackId</code></strong></td><td>string</td><td align="center">40</td><td align="center">O</td><td></td><td>메뉴에 할당된 postbackId</td></tr><tr><td><strong><code>actionType</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>menuType이 action인 경우 할당된 RCS 액션 유형 이미지 영역에 동영상 스트리밍을 설정한 경우 iframeplayB로 별도 구분(현재 자동응답메시지는 iframepalyB 설정 미지원)</td></tr><tr><td><strong><code>title</code></strong></td><td>string</td><td align="center">40</td><td align="center">O</td><td></td><td>버튼명, 이미지는 image_1, image_2, ..., image_# 형식으로 제공되며, 동영상 스트리밍의 경우는 iframeplayB_1, iframeplayB_2, ..., iframeplayB_# 형식으로 제공</td></tr><tr><td><strong><code>clickCount</code></strong></td><td>integer</td><td align="center"></td><td align="center"></td><td></td><td>menuType이 action, reply, autoreply 인 경우 클릭수 (1일 내 동일 고객의 버튼 클릭 수 제외)</td></tr></tbody></table>

### ❖ response body sample

{% tabs %}
{% tab title="200" %}

```
{
    "code": "20000000",
    "desc": null,
    "result": [
        {
            "statDate": "20240630",
            "corpId": "CO.NoI0czCZ64",
            "corpRegNum": "8632573324",
            "brandId": "BR.mp0Xf8sGBE",
            "chatbotId": "09044196573",
            "menuList": [
                {
                    "postbackId": "P090pbJY06J6fgX",
                    "menuType": "autoreply",
                    "title": "내원 진료 시간",
                    "clickCount": 1
                },
                {
                    "postbackId": "ARM6J1wfCn81N6u",
                    "menuType": "autoreply",
                    "title": "위치 안내",
                    "clickCount": 1,
                    "subList": [
                        {
                            "postbackId": "Pec587X6nVY8k5c",
                            "menuType": "action",
                            "title": "지도",
                            "clickCount": 1,
                            "actionType": "urlAction",
                            "messagebaseId": "SCwThT00",
                            "reactionType": "button",
                            "cardNum": 1,
                            "buttonNum": 1
                        }
                    ]
                }
            ]
        },
        {
            "statDate": "20240629",
            "corpId": "CO.NoI0czCZ64",
            "corpRegNum": "8632573324",
            "brandId": "BR.mp0Xf8sGBE",
            "chatbotId": "09044196573",
            "menuList": [
                {
                    "postbackId": "ARM6J1wfCn81N6u",
                    "menuType": "autoreply",
                    "title": "위치 안내",
                    "clickCount": 1,
                    "subList": [
                        {
                            "postbackId": "Pec587X6nVY8k5c",
                            "menuType": "action",
                            "title": "지도",
                            "clickCount": 1,
                            "actionType": "urlAction",
                            "messagebaseId": "SCwThT00",
                            "reactionType": "button",
                            "cardNum": 1,
                            "buttonNum": 1
                        }
                    ]
                }
            ]
        },
        {
            "statDate": "20240628",
            "corpId": "CO.NoI0czCZ64",
            "corpRegNum": "8632573324",
            "brandId": "BR.mp0Xf8sGBE",
            "chatbotId": "09044196573",
            "menuList": [
                {
                    "postbackId": "P41aj0w7FTu97Zw",
                    "menuType": "autoreply",
                    "title": "국민건강보험공단 검진 안내",
                    "clickCount": 2
                },
                {
                    "postbackId": "ARM6J1wfCn81N6u",
                    "menuType": "autoreply",
                    "title": "위치 안내",
                    "clickCount": 1
                }
            ]
        }
    ],
    "status": 200
}
```

{% endtab %}

{% tab title="400" %}

```
{
    "error": {
        "code": "64002",
        "message": "Invalid Brand Key"
    },
    "status": 400
}

{
    "error": {
        "code": "64203",
        "message": "query paramter required [chatbotId]"
    },
    "status": 400
}

{
    "error": {
        "code": "64203",
        "message": "query paramter required [endDate]"
    },
    "status": 400
}

{
    "error": {
        "code": "64338",
        "message": "invalid value: [endDate], endDate must be within 31 days"
    },
    "status": 400
}
```

{% endtab %}

{% tab title="401" %}

```
{
    "error": {
        "code": "61003",
        "message": "Invalid token"
    },
    "status": 401
}
```

{% endtab %}

{% tab title="403" %}

```
{
    "error": {
        "code": "61003",
        "message": "Invalid token"
    },
    "status": 401
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
error code는 [RCS Biz Center - Response body error code](/rbc-api/error_code.md#rcs-biz-center-response-body-error-code) 참조
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.rcsbizcenter.com/rbc-api/stat/get_persistent_menu_stat_list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
